Redmine - Feature #5284

"% done" should provide data in text form too
2010-04-09 20:28 - Alex Last

Status: New Start date: 2010-04-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

| see "Issues list" page can have "% done" field, which shows info as a progress bar. This looks nice, but | also need to be able to

import redmine data into other programs like Microsoft Excel.

Unfortunately, Microsoft Excel 2003 shows no values in imported column "% Done". | assume this is because the info in not provided
in text format when Excel parses URL like http://demo.redmine.org/projects/ace/issues

is it possible to provide text info for "% done" field in this web page in addition to nice green "progress" bar? This would be really
helpful to load tasks into excel and be able to use Excel calculations for remaining time and other parameters.

Related issues:

Has duplicate Redmine - Feature #5534: percentage display in numbers in issue... Closed

2010-05-16

History

#1 - 2010-04-09 20:50 - Alex Last
- File import_from_web-1.PNG added
- File import_from_web-2.PNG added

- File percent_done_is_empty _on_import_using_url. PNG added

#2 - 2010-04-09 20:56 - Alex Last

what | actually need to do is to estimate "remaining time" for all tasks for a particular target version.
If | could show "remaining time" column on "Issues list" page and then import it into Excel the same way - this would solve my problem and | would
not really need text value for "% done" column (although I'd recommend to provide it there anyway to simplify redmine integration with all kinds of

external tools, which can grep data from redmine web URLSs).

#3 - 2017-06-28 14:29 - Go MAEDA

- Category set to Issues list

#4 - 2018-04-03 10:27 - Mizuki ISHIKAWA

Issues/show has "% done" information next to the progress bar.

| would like to confirm the "% done" information on the Issues list as well.

This change is a very small change, so no one will be confused.

You can implement this feature by making the following changes.

diff --git a/app/helpers/queries_helper.rb b/app/helpers/queries_helper.rb

index 9d3f2468e..40c481134 100644

-—— a/app/helpers/queries_helper.rb

+++ b/app/helpers/queries_helper.rb

@@ -221,7 +221,7 @@ module QueriesHelper
when :last_notes

item.last_notes.present? ? content_tag('div', textilizable(item, :last_notes),

when :done_ratio
= progress_bar (value)
+ progress_bar (value, :legend => "#{value}s%")
when :relations
content_tag('span',

value.to_s(item) {|other| link_to_issue (other,

#5 - 2018-04-03 13:08 - Go MAEDA
- File percent-done-with-number@2x.png added

2025-05-01

:subject => false, :tracker =>

:class => "wiki") : "'

false) }.html_safe,
http://demo.redmine.org/projects/ace/issues

Mizuki ISHIKAWA wrote:

Issues/show has "% done" information next to the progress bar.

Here is a screenshot of Mizuki's patch.

- Tracker Status Priority Subject Assignee % Done

2  Feature request Assigned Normal Add ingredients categories Dave Lopper 30%
14 Bug New Normal Private issue on public project 0%
13 Bug New Low  Subproject issue two 0%
10 Bug New Normal Issue Doing the Blocking 0%

#6 - 2018-04-25 09:17 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2018-10-06 07:03 - Go MAEDA

- Has duplicate Feature #5534: percentage display in numbers in issue view added

#8 - 2019-04-26 02:32 - Mizuki ISHIKAWA
- File feature-5284.patch added

I modified the style a little.

#9 - 2019-04-26 02:42 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0
LGTM. Setting the target version to 4.1.0.
#10 - 2019-04-26 10:49 - Marius BALTEANU

Go MAEDA wrote:

LGTM. Setting the target version to 4.1.0.

Do you really think that we need the real value near the progress bar?
#11 - 2019-04-26 11:13 - Go MAEDA
Marius BALTEANU wrote:

Do you really think that we need the real value near the progress bar?

Definitely yes. Do you think the value is unnecessary?

Currently, we cannot understand the accurate value in the issues list. It is difficult for me to distinguish 20% and 30% with the progress bar. In fact,
several of our customers have asked us to display numbers as well as progress bars.

Not only our customers, | think many people want the real value. Some users in Japan have published hacks to show the value in the issues list.

http://blog.enjoyxstudy.com/entry/2016/09/04/000000 (Japanese)
https:/qiita.com/cress_cc/items/fbccedcb1993bf22a818 (Japanese)

#12 - 2019-04-26 12:38 - Marius BALTEANU
- File done_ratio.png added

Go MAEDA wrote:
Marius BALTEANU wrote:

Do you really think that we need the real value near the progress bar?

Definitely yes. Do you think the value is unnecessary?
http://blog.enjoyxstudy.com/entry/2016/09/04/000000
https://qiita.com/cress_cc/items/fbccedcb1993bf22a818

Currently, we cannot understand the accurate value in the issues list. It is difficult for me to distinguish 20% and 30% with the progress bar. In
fact, several of our customers have asked us to display numbers as well as progress bars.

Not only our customers, | think many people want the real value. Some users in Japan have published hacks to show the value in the issues list.

http://blog.enjoyxstudy.com/entry/2016/09/04/000000 (Japanese)

https:/qiita.com/cress_cc/items/fbccedcb1993bf22a818 (Japanese)

Not unnecessary, but | find it awkward for the below example:
done_ratio.png

| see lots of 0% which are irrelevant from my point of view.

Also, the padding-right: 40px added by the last patch is wrong (I think) because | don't see any reason for that empty space.

Maybe it is better to show only for values between 10% and 90% and inline (over the progress bar)?

#13 - 2019-04-27 02:25 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release
